package cn.superdesk.uniorder.dao.mapper.fund;

import cn.superdesk.uniorder.dao.entity.fund.SysFundGrant;
import cn.superdesk.uniorder.dao.entity.fund.SysFundGrantExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysFundGrantMapper {

	long countByExample(SysFundGrantExample example);

	int deleteByExample(SysFundGrantExample example);

	int deleteByPrimaryKey(Long id);

	int insert(SysFundGrant record);

	int insertSelective(SysFundGrant record);

	List<SysFundGrant> selectByExample(SysFundGrantExample example);

	SysFundGrant selectByPrimaryKey(Long id);

	int updateByExampleSelective(@Param("record") SysFundGrant record, @Param("example") SysFundGrantExample example);

	int updateByExample(@Param("record") SysFundGrant record, @Param("example") SysFundGrantExample example);

	int updateByPrimaryKeySelective(SysFundGrant record);

	int updateByPrimaryKey(SysFundGrant record);
}